Page MenuHomePhabricator

Collect metrics/tables which might be touched by IP masking feature
Closed, ResolvedPublic

Description

IP masking is a proposed feature to mark all IP addresses on the wikis with an anonymized username such as Anon 12345. IP addresses will be stored in the database for a limited time only, contrary to our current, indefinite storage. Some users and tools will continue to have access to the IP addresses but for majority of the users, the IPs will be masked. This will only affect IP addresses that come in after IP Masking is rolled out. Historical IP addresses will not be touched.

Please list anything which could possibly be impacted by a change in how IP addresses are handled in the application tables.
https://docs.google.com/document/d/1j9plpCkFdrkHYmx3FGDMEOY6EW_dT_YIPDccr16xObk/edit?usp=sharing

Event Timeline

jwang created this task.Jun 18 2020, 7:15 PM
jwang renamed this task from Collect metrics/tables which might be impacted by IP masking feature to Collect metrics/tables which might be touched by IP masking feature.Jun 18 2020, 7:50 PM
jwang updated the task description. (Show Details)
jwang updated the task description. (Show Details)
LGoto triaged this task as Medium priority.Jun 22 2020, 4:05 PM
LGoto edited projects, added Product-Analytics (Kanban); removed Product-Analytics.
LGoto moved this task from Next 2 weeks to Doing on the Product-Analytics (Kanban) board.
jwang updated the task description. (Show Details)Jun 22 2020, 4:30 PM
jwang updated the task description. (Show Details)Jun 23 2020, 6:45 PM
jwang added a subscriber: cchen.
cchen updated the task description. (Show Details)Jun 26 2020, 7:12 PM
cchen updated the task description. (Show Details)Jun 26 2020, 7:20 PM
kzimmerman added subscribers: Nuria, kzimmerman.

@Nuria IP masking changes won't be rolling out until Q2 at the earliest, but I wanted to make sure this is on your team's radar.

jwang updated the task description. (Show Details)Jul 6 2020, 5:32 PM
SNowick_WMF updated the task description. (Show Details)Jul 6 2020, 5:46 PM
Mayakp.wiki updated the task description. (Show Details)Jul 6 2020, 6:07 PM

@jwang : We have been discussing this in our 1:1s with the product teams. @MNeisler will be investigating this for Web and Editing.

jwang updated the task description. (Show Details)Jul 7 2020, 3:40 PM
fdans edited projects, added Analytics-Radar; removed Analytics.Jul 13 2020, 4:41 PM
MNeisler updated the task description. (Show Details)Jul 13 2020, 6:06 PM
mpopov updated the task description. (Show Details)Jul 13 2020, 8:34 PM
nettrom_WMF updated the task description. (Show Details)Jul 15 2020, 5:43 PM
jwang moved this task from Triage to Epics on the Product-Analytics board.
jwang closed this task as Resolved.Sep 21 2020, 4:50 PM

The info collection is done. So close it.